cmake_minimum_required(VERSION 3.30)
project(fennec-test)

set(CMAKE_CXX_STANDARD 26)

add_executable(fennec-test main.cpp
        test.h
        tests/math/test_vector.h
        tests/math/test_matrix.h
        tests/math/test_scalar.h
        tests/math/test_geometric.h
        tests/test_memory.h
        tests/test_math.h
        tests/test_lang.h
        tests/lang/test_conditional_types.h
        tests/lang/test_bits.h
        tests/lang/test_sequences.h
        tests/math/test_common.h
        tests/math/test_exponential.h
        tests/math/test_relational.h
        tests/math/test_trigonometric.h
        tests/fproc/test_strings.h
        tests/fproc/strings/test_cstring.h
        tests/test_fproc.h
)

target_link_libraries(fennec-test PRIVATE
        fennec
)